
# NOTE, this code will execute along pod install just when the installed in system.
#
module Pod
  module Downloader
    class Cache

      # override
      def initialize(root)
        @root = Pathname.new(Dir.home) + "Library/Caches/CocoaPods/#{Pod::VERSION}" # this line is added by plugin
        #ensure_matching_version # this line is deleted by plugin
        UI.message "Using pods cache of path: #{@root} (by cocoapods-keep-multiversion-cache)" # this line is added by plugin
      end

      # print the cache when verbose
      if Gem::Version.new(Pod::VERSION) >= Gem::Version.new("1.5.0") && Gem::Version.new(Pod::VERSION) < Gem::Version.new("1.8.0")

        old_copy_and_clean = instance_method(:copy_and_clean)
        define_method(:copy_and_clean) do |source, destination, spec|
          # add verbose log
          UI.message "Saving pod cache (#{spec.name}) to #{destination} (by cocoapods-keep-multiversion-cache)"
          old_copy_and_clean.bind(self).(source, destination, spec)
        end
      end

    end
  end
end


